services:
  valkey:
    image: valkey/valkey:latest
    container_name: valkey
    restart: always
    # 表示每 30 秒如果有至少 1 个键发生变化，就将数据持久化到磁盘。只记录警告及以上级别的日志。
    command: valkey-server --requirepass Meta815899 --save 30 1 --loglevel warning
    volumes:
      - /usr/docker/volumes/valkey:/data
    cap_drop:
      - ALL # 移除容器的所有特权
    cap_add:
      - SETGID # 允许容器设置组 ID
      - SETUID # 允许容器设置用户 ID
      - DAC_OVERRIDE # 允许容器绕过文件系统的 DAC 权限检查
    logging:
      driver: "json-file"
      options:
        max-size: "1m"
        max-file: "1"